#!/bin/sh
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
#

KEYSDIR="${NEWROOT}/lib/modules/keys"

do_load_modsign_keys()
{
    keydir=$1
    keyring=$2

    for x in ${keydir}/* ; do
        [ "${x}" = "${keydir}/*" ] && break
        keyctl padd asymmetric "" ${keyring} < ${x}
    done
}

load_modsign_keys()
{
    # check mounted rootfs
    [ -d "${KEYSDIR}" ] && {
        local keyring

        keyctl list %:.secondary_trusted_keys
        if [ $? -eq 0 ]; then
            keyring="%:.secondary_trusted_keys"
        else
            keyring="@s"
        fi

        do_load_modsign_keys ${KEYSDIR} ${keyring}
    }
}

load_modsign_keys
