#!/bin/sh

SMACKCONFIG="/sys/fs/smackfs/load2"

load_smack_rule()
{

    # override the default configuration
    if [ ! -f "${SMACKCONFIG}" ]; then
        return 0
    fi

    if [ -z "${SMACKRULE}" ]; then
		SMACKRULE="/etc/sysconfig/smack/accesses.d"
    fi

	PUBKEY_LIST=`ls ${NEWROOT}${SMACKRULE}/*`
    for PUBKEY in ${PUBKEY_LIST}; do
        # check for public key's existence
        if [ ! -f "${PUBKEY}" ]; then
            if [ "${RD_DEBUG}" = "yes" ]; then
                info "integrity: smark rule file not found: ${PUBKEY}"
            fi
        fi

		cat "${PUBKEY}" >> ${SMACKCONFIG}
	done

    return 0
}

# load the IMA public key(s)
load_smack_rule

